Skip to main content
GET
/
crm
/
v3
/
owners
/
{ownerId}
Retrieve a specific owner by ID
curl --request GET \
  --url https://api.hubapi.com/crm/v3/owners/{ownerId} \
  --header 'Authorization: Bearer <token>'
{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "email": "jsmith@example.com",
  "firstName": "John",
  "id": "6166860",
  "lastName": "Smith",
  "teams": [
    {
      "id": "178588",
      "name": "West Coast Sales",
      "primary": true
    },
    {
      "id": "178590",
      "name": "California Sales",
      "primary": false
    }
  ],
  "updatedAt": "2019-12-07T16:50:06.678Z",
  "userId": 1296619
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ownerId
integer<int32>
required

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived.

idProperty
enum<string>
default:id
Available options:
id,
userId

Response

successful operation

archived
boolean
required

Indicates whether the owner is archived.

createdAt
string<date-time>
required

The date and time when the owner was created.

id
string
required

The unique identifier of the owner.

type
enum<string>
required

The type of the owner, which can be either PERSON or QUEUE.

Available options:
PERSON,
QUEUE
updatedAt
string<date-time>
required

The date and time when the owner was last updated.

email
string

The email address of the owner.

firstName
string

The first name of the owner.

lastName
string

The last name of the owner.

teams
object[]
userId
integer<int32>

The user ID of the owner.

userIdIncludingInactive
integer<int32>

The user ID of the owner, including inactive users.

Last modified on March 30, 2026